# Use CRM for Flutter apps.

### :fire: Star and Share :fire: the repo to support the project. Thanks!

A flutter plugin to use CRM Component for flutter Apps.
* [Example](https://gitlab.com/aagql/bui-flutter-components)



## Instalation

* Add this to your package's pubspec.yaml file:
```
dependencies:
  bui_component: "^0.0.65"
```
* You can install packages from the command line:
  with Flutter:
```
$ flutter packages get
```


### DashBoardScreen
```
new HomeScreenComponent(
            onMenuPressed: onMenuPressed,
            backgroundColor: theme,
            onPopUpMenuFunction: onPopUpMenuPressed,
            popUpMenu: popUpMenu,
            showFilterView: false,
            onFilterClicked: () {
              Navigator.of(context).push(MaterialPageRoute(
                builder: (context) {
                  return FilterScreen(
                    primaryColor: theme,
                    secondaryColor: secondaryBackgroundColor,
                  );
                },
              ));
            },
            child: isLoader
                ? Stack(
                    children: [
                      Loader(
                        loaderColor: theme,
                      ),
                    ],
                  )
                : Stack(
                    children: [
                      showGridView, // Change grid to card you can use this function to refer the dashboard screen
                      apiCallView, // show you are API data
                    ],
                  ),
          ),

```
### Attribute
* onMenuPressed (Type Function) call the function every time a change the screen 
* backgroundColor (Type Color) Your App Primary color to change the app bar color and primary color in that screen
* popUpMenu (Type List<PopUpMenuItem>) To add list of popup menu in appbar.
* onPopUpMenuFunction (Type Function) call the function every time to change the popup menu option
* showFilterView(Type bool) To change bool for show filter icon of required 
* onFilterClicked(Type Function) This function helps to navigate the filter view if showFilterView is true we can access this function
* child(Type Widget) Which can help the customize screen design.



## Getting Started

For help getting started with Flutter, view our online [documentation](https://flutter.io/).

For help on editing package code, view the [documentation](https://flutter.io/developing-packages/).

